- Index

< Previous |  | Next >

# LVconf Type: Table Space

## Overview

Use the LiveView Configuration File Editor to configure the Table Space lvconf file type.

## Table Space Tab

Property | Type | Description
--- | --- | ---
Snapshot Concurrency | int | Optional. Defines the maximum number of snapshot queries (one per thread) within a partition that are executed at once. Default = 0
Snapshot Parallelism | int | Optional. Defines the number of table partitions and the number of parallel regions used to scan a table during the snapshot portion of a query.
Table Group | string | Optional. Exposes this table to named table groups (which must be in a comma-separated list). A remote configuration can then query this table.

### Memory Field

Property | Type | Description
--- | --- | ---
Memory for SBAR Generation | string | Maximum amount of memory used to generate an SBAR for the table. Default = 512m
Stack Size for SBAR Generation | string | Maximum stack size used to generate an SBAR for the table. Default = 512m
Minimum Eval Cache Entries | string | Optional setting for optimizing the cache size used for storing query predicates against a table in this table-space. The size is allocated for each table in the table-space. Default = 1000
Maximum Eval Cache Entries | string | Optional setting for optimizing the cache size used for storing query predicates against a table in this table-space. The size is allocated for each table in the table-space. Default = 1000

### Persistence Field

Property | Type | Description
--- | --- | ---
Persist Data | check box | When checked, a table's data will be persisted to a transaction log.
Restore Data On Start | check box | When checked, a table will be re-populated from its persisted log.
Folder | string | If Persist Data is enabled, this is the base folder where a table's data is stored.

## Source Tab

The Source tab provides a text-based XML configuration file editor, which is a validating XML editor that is aware of the schema that defines the XML syntax of LiveView configuration files. See Text-Based XML Configuration File Editor for more information.